﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Pregled svih mjesta</title>
    <link href="lib/jqueryui/themes/base/jquery-ui.min.css" rel="stylesheet" type="text/css" />
    <link href="lib/jtable/lib/themes/lightcolor/blue/jtable.min.css" rel="stylesheet" type="text/css" />
</head>
<body>

    <div class="container">
        <div class="row">
            <div class="col-sm-12" id="mjesta">

            </div>
        </div>
    </div>

    <script type="text/javascript" src="lib/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="lib/jqueryui/jquery-ui.min.js"></script>
    <script type="text/javascript" src="lib/jtable/lib/jquery.jtable.min.js"></script>
    <script type="text/javascript" src="lib/jtable/lib/localization/jquery.jtable.hr.js"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $('#mjesta').jtable({
                title: 'Popis mjesta',
                paging: true,
                pageSize: 5,
                sorting: true,
                defaultSorting: 'PostanskiBroj DESC',
                actions: {
                    listAction: 'jtable/mjesto/getall',
                    createAction: 'jtable/mjesto/create',
                    updateAction: 'jtable/mjesto/update',
                    deleteAction: 'jtable/mjesto/delete'
                },
                fields: {
                    PostanskiBroj: {
                        create:true,
                        key: true,
                        list: true,
                        title: "Poštanski broj mjesta"

                    },
                    Naziv: {
                        title: 'Naziv mjesta',
                        width: '50%'
                    },
                    NazivDrzave: {
                        title: 'Država mjesta',
                        width: '50%'
                    }
                }
            });

            $("#mjesta").jtable('load');
        });
    </script>

</body>
</html>